<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <Space
        android:layout_width="match_parent"
        android:layout_height="10dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="6dp"
        android:orientation="horizontal">

        <com.atmob.keyboard_android.component.PasteBarComponent
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10dp"
            android:layout_weight="1"
            tools:background="@android:color/holo_red_dark"
            tools:layout_height="46dp" />

        <TextView
            android:id="@+id/paste_btn"
            style="@style/keyboard_action_btn2"
            android:layout_marginStart="10dp"
            android:layout_marginTop="6dp"
            android:layout_marginEnd="10dp"
            android:text="@string/paste" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/key_list"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_weight="1"
            tools:background="@android:color/holo_blue_dark"
            tools:layout_height="150dp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginEnd="10dp"
            android:orientation="vertical">

            <TextView
                android:id="@+id/delete_btn"
                style="@style/keyboard_action_btn"
                android:text="@string/delete" />

            <TextView
                android:id="@+id/clear_btn"
                style="@style/keyboard_action_btn"
                android:text="@string/clear" />

            <TextView
                android:id="@+id/send_btn"
                style="@style/keyboard_action_btn"
                android:text="@string/send" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>